Clean up custom footer.html.tmpl and adapt upstream's included subpages structure (blocks "saved reports" in 4.4)
Closed, ResolvedPublic

Description

Initially I was looking at /template/en/custom/global/user-links.html.tmpl and curious why there is no upstream equivalent.

Our custom /template/en/custom/global/footer.html.tmpl is in use.
It defines the entire left toolbar (and the footer).
It processes the following custom files:

  • /template/en/custom/global/user-links.html.tmpl
  • /template/en/custom/global/nav-links.html.tmpl
  • /template/en/custom/global/search-links.html.tmpl

In upstream code,
/template/en/default/global/footer.html.tmpl processes

  • /template/en/default/global/useful-links.html.tmpl

which in turn processes

  • * /template/en/default/global/common-links.html.tmpl

However, as upstream /template/en/default/global/footer.html.tmpl is the only file calling [% PROCESS "global/useful-links.html.tmpl" %], but as we have replaced upstream footer.html.tmpl by our custom /template/en/custom/global/footer.html.tmpl, this stuff is never called, so we won't see a "Saved Reports" item in the left pane in Bugzilla 4.4 once we have upgraded from 4.2 to 4.4, as <li id="reports-saved"> is defined in /template/en/default/global/useful-links.html.tmpl.

We should either port, or (preferably) adapt the upstream structure to minimize the diff here, get new functionality, and improve maintainability.


Version: wmf-deployment
Severity: normal

bzimport added a project: Wikimedia-Bugzilla.Via ConduitNov 22 2014, 2:34 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz59889.
Aklapper created this task.Via LegacyJan 9 2014, 11:31 PM
Aklapper added a comment.Via ConduitJan 14 2014, 7:38 PM

Table for my diff skills to see what else we've missed over the years:
WM UPSTREAM
nav-links common-links
user-links common-links
search-links useful-links

gerritbot added a comment.Via ConduitJan 14 2014, 7:52 PM

Change 107423 had a related patch set uploaded by Aklapper:
[4.4] Update custom search-links so Saved Reports are displayed

https://gerrit.wikimedia.org/r/107423

Dzahn added a comment.Via ConduitJan 16 2014, 3:40 PM

I had https://gerrit.wikimedia.org/r/#/c/106671/3 but abandoned it, per: not worth it anymore in 4.2 if it changes here anyways

Aklapper added a comment.Via ConduitFeb 13 2014, 1:36 AM

This was merged hence closing as FIXED, however bug 61288 is a regression created by this.

gerritbot added a comment.Via ConduitFeb 13 2014, 2:23 AM

Change 113073 had a related patch set uploaded by Aklapper:
Fix UI regression in side bar introduced in bug 59889

https://gerrit.wikimedia.org/r/113073

gerritbot added a comment.Via ConduitFeb 14 2014, 8:18 PM

Change 113073 merged by Dzahn:
Fix UI regression in side bar introduced in bug 59889

https://gerrit.wikimedia.org/r/113073

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.